<?php
/* * * copyright 2004-2009 José Américo Rio * * */
if(!session_id()) session_start();
$PHP_SELF=$_SERVER['PHP_SELF'];
//$anterior=$_SERVER['anterior'];
include_once("bo/config/server.inc.php");

if ($_REQUEST['cmd']=="logout") {
	 setcookie('ec', '', time()-3600, '/');
	 //session_start();
	 session_unregister("eclesia");
	 unset($_SESSION['eclesia']);
	 //header ("Location: http://$serverbase");
	 exit;
}

if (empty ($anterior)){$anterior=$PHP_SELF;}

function auth($login='', $password=''){
        global $anterior, $serverbase, $db;
		$texto_erro="O seu login e password não correspondem";
        
        //session_start();
        $check= ( !(empty($login)));

		if ( is_array ( $_SESSION["eclesia"] )) {
				return true;

        } elseif ($check){ 

				
					include_once("bo/config/config.inc.php");
					$dblink = mysql_connect($host , $user , $pass );
					mysql_select_db($database, $dblink ) ;
				
				
               	//$Epassword=md5($password);
				
				if(get_magic_quotes_gpc() == true) {
					$login=stripslashes($login);
				}
				$login=mysql_real_escape_string($login);
				
				$data_hoje=date("Y-m-d");
				
               $sql="select * from utilizador where email='$login' and numero='$password' and data_inicio <='$data_hoje' and data_fim >='$data_hoje' and estado=1";
			   
			   $result=mysql_query($sql);
			   
			   //print $sql ;
			   //print mysql_num_rows($result);

			   
			   if(($result) && (mysql_num_rows($result) == 1)) {
					$tauth=mysql_fetch_array($result);
					$_SESSION["eclesia"]['idu']=$tauth['id'];
					$_SESSION["eclesia"]['nome']=$tauth['nome'];
					$_SESSION["eclesia"]['email']=$tauth['email'];
					

					if ($_POST['auto']){
						setcookie ($cookie_name, 
						md5($tauth['email']), 
						time() + $cookie_time, '/');
					}

                    return true;
				}
            unset ($_SESSION["eclesia"]);    /// alguma coisa falhou
			set_erro1($texto_erro);
            return false;
        } else { // nao está autenticado e campo password vazio
			set_erro1($texto_erro);
            return false;
        }

}

//////////////////////////////////////////////////////////////////
function loginform($error=false) {
	GLOBAL $PHP_SELF, $root, $serverbase;
	header ("Location: http://".$serverbase."mlogin/");
} 

if (!auth ($_POST['login'], $_POST['password'] )) {
    loginform (isset($_POST['login']) );
} else {
	header ("Location: http://".$serverbase."mrevista/");
}

function set_erro1($texto){ $_SESSION['erro']= $texto; }
?>